Not able to use Real IOS device through Appium 1.2.2

When I start the script through Eclipse after starting the appium server ( Starting normally ) it throws the error in Appium console . Please find the below log…

1. I found the solution/workaround for this issue . The issue is with Appium version 1.2.2 and I found this as open bug on this discussion forum.
2. So after working so much for this issue , I used the older Appium version 1.2.1 and now I am not facing this and able to run my scripts on Real IOS device.
3. Please fix this issue in Appium 1.2.2

info: Welcome to Appium v1.2.2 (REV cf6ff5939ddc6b4d45fcbabfbfe13c950e0058c4)

info: Appium REST http interface listener started on 127.0.0.1:4724
info: [debug] Non-default server args: {“app”:“com.cph.dev.Wincy”,“udid”:“b9e94db749cdc65aa820902cc39c0c5f4a79ef34”,“address”:“127.0.0.1”,“port”:4724,“fullReset”:true,“defaultDevice”:true,“showSimulatorLog”:true,“defaultCommandTimeout”:7200}
warn: Deprecated server args: {"–show-sim-log":“use instead: --show-ios-log”}
info: LogLevel: debug

info: --> GET /wd/hub/status {}

info: [debug] Responding to client with success: {“status”:0,“value”:{“build”:{“version”:“1.2.2”,“revision”:“cf6ff5939ddc6b4d45fcbabfbfe13c950e0058c4”}}}

info: <-- GET /wd/hub/status 200 5.783 ms - 104 {“status”:0,“value”:{“build”:{“version”:“1.2.2”,“revision”:“cf6ff5939ddc6b4d45fcbabfbfe13c950e0058c4”}}}

info: --> GET /wd/hub/status {}

info: [debug] Responding to client with success: {“status”:0,“value”:{“build”:{“version”:“1.2.2”,“revision”:“cf6ff5939ddc6b4d45fcbabfbfe13c950e0058c4”}}}

info: <-- GET /wd/hub/status 200 1.394 ms - 104 {“status”:0,“value”:{“build”:{“version”:“1.2.2”,“revision”:“cf6ff5939ddc6b4d45fcbabfbfe13c950e0058c4”}}}

info: --> POST /wd/hub/session {“desiredCapabilities”:{“appium-version”:“1.0”,“platformVersion”:“7.1.2”,“bundleId”:“com.cph.dev.Wincy”,“ipa”:"/Users/DA-Administrator/Documents/Appium_test/Moonshot_app/Appication/Wincy.ipa",“platformName”:“iOS”,“deviceName”:“b9e94db749cdc65aa820902cc39c0c5f4a79ef34”}}

info: [debug] The following desired capabilities were provided, but not recognized by appium. They will be passed on to any other services running on this server. : appium-version, ipa

info: [debug] App is an iOS bundle, will attempt to run as pre-existing

info: [debug] Creating new appium session 4bf4aa41-b385-4a77-ae90-9b39c9ab407c

info: [debug] Removing any remaining instruments sockets

info: [debug] Cleaned up instruments socket /tmp/instruments_sock

info: [debug] Setting Xcode folder

info: [debug] Setting Xcode version

info: [debug] Setting iOS SDK Version

info: [debug] iOS SDK Version set to 7.1

info: [debug] Detecting automation tracetemplate

info: [debug] Not auto-detecting udid, running on sim

info: [debug] Localizable.strings is not currently supported when using real devices.
info: [debug] Not setting locale because we’re using a real device
info: [debug] Creating instruments

info: [debug] Preparing uiauto bootstrap
info: [debug] Dynamic bootstrap dir:
info: [debug] Dynamic env:

info: [debug] Dynamic bootstrap code:
info: [debug] Dynamic bootstrap path:
info: [debug] Reusing dynamic bootstrap:
info: [debug] Not setting iOS and app preferences since we’re on a real device
info: [debug] Starting iOS device log capture via deviceconsole

**

error: iOS log capture failed: spawn ENOENT info: [debug] Cleaning up appium session info: [debug] Error: spawn ENOENT at errnoException (child_process.js:1001:11) at Process.ChildProcess._handle.onexit (child_process.js:792:34) info: [debug] Responding to client with error: {“status”:33,“value”:{“message”:“A new session could not be created. (Original error: spawn ENOENT)”,“code”:“ENOENT”,“errno”:“ENOENT”,“syscall”:“spawn”,“origValue”:“spawn ENOENT”},“sessionId”:null} info: <-- POST /wd/hub/session 500 123.922 ms - 197 info: [debug] Not setting device type since we’re connected to a device info: [debug] Creating iDevice object with udid b9e94db749cdc65aa820902cc39c0c5f4a79ef34 error: Failed to start an Appium session, err was: Error: spawn ENOENT

**

info: [debug] Couldn’t find ideviceinstaller, trying built-in at /Applications/Appium.app/Contents/Resources/node_modules/appium/build/libimobiledevice-macosx/ideviceinstaller

info: [debug] Checking app install status using: /Applications/Appium.app/Contents/Resources/node_modules/appium/build/fruitstrap/fruitstrap isInstalled --id b9e94db749cdc65aa820902cc39c0c5f4a79ef34 --bundle com.cph.dev.Wincy

info: [debug] App is installed.

info: [debug] fullReset requested. Forcing app install.
info: [debug] Installing ipa found at /Users/DA-Administrator/Documents/Appium_test/Moonshot_app/Appication/Wincy.ipa
info: [debug] Creating iDevice object with udid b9e94db749cdc65aa820902cc39c0c5f4a79ef34
info: [debug] Couldn’t find ideviceinstaller, trying built-in at /Applications/Appium.app/Contents/Resources/node_modules/appium/build/libimobiledevice-macosx/ideviceinstaller

It’s a known issue https://github.com/appium/appium/issues/3503
I have the same problem :frowning: